package com.koobietech.eas.mbg.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.Serializable;
import java.util.Date;

public class EasSysStudent implements Serializable {
    private Long id;

    /**
     * 学员档案号
     *
     * @mbg.generated
     */
    @Schema(description = "学员档案号")
    private String studentNumber;

    /**
     * 学生姓名
     *
     * @mbg.generated
     */
    @Schema(description = "学生姓名")
    private String studentName;

    /**
     * 学生性别
     *
     * @mbg.generated
     */
    @Schema(description = "学生性别")
    private String gender;

    /**
     * 学生联系电话
     *
     * @mbg.generated
     */
    @Schema(description = "学生联系电话")
    private String phone;

    /**
     * 学生电子邮箱
     *
     * @mbg.generated
     */
    @Schema(description = "学生电子邮箱")
    private String email;

    /**
     * 学生入学日期
     *
     * @mbg.generated
     */
    @Schema(description = "学生入学日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date enrollmentDate;

    /**
     * 学生密码
     *
     * @mbg.generated
     */
    @Schema(description = "学生密码")
    private String passwd;

    /**
     * 学员头像
     *
     * @mbg.generated
     */
    @Schema(description = "学员头像")
    private String avatar;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    @Schema(description = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date createTime;

    /**
     * 修改时间
     *
     * @mbg.generated
     */
    @Schema(description = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date modifyTime;

    /**
     * 招生老师
     *
     * @mbg.generated
     */
    @Schema(description = "招生老师")
    private Integer admissionsId;

    /**
     * 直属负责人ID
     *
     * @mbg.generated
     */
    @Schema(description = "直属负责人ID")
    private Integer managerId;

    /**
     * 创建用户ID
     *
     * @mbg.generated
     */
    @Schema(description = "创建用户ID")
    private Integer createUid;

    /**
     * 状态
     *
     * @mbg.generated
     */
    @Schema(description = "状态")
    private String disabled;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getStudentNumber() {
        return studentNumber;
    }

    public void setStudentNumber(String studentNumber) {
        this.studentNumber = studentNumber == null ? null : studentNumber.trim();
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName == null ? null : studentName.trim();
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender == null ? null : gender.trim();
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone == null ? null : phone.trim();
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email == null ? null : email.trim();
    }

    public Date getEnrollmentDate() {
        return enrollmentDate;
    }

    public void setEnrollmentDate(Date enrollmentDate) {
        this.enrollmentDate = enrollmentDate;
    }

    public String getPasswd() {
        return passwd;
    }

    public void setPasswd(String passwd) {
        this.passwd = passwd == null ? null : passwd.trim();
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar == null ? null : avatar.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getAdmissionsId() {
        return admissionsId;
    }

    public void setAdmissionsId(Integer admissionsId) {
        this.admissionsId = admissionsId;
    }

    public Integer getManagerId() {
        return managerId;
    }

    public void setManagerId(Integer managerId) {
        this.managerId = managerId;
    }

    public Integer getCreateUid() {
        return createUid;
    }

    public void setCreateUid(Integer createUid) {
        this.createUid = createUid;
    }

    public String getDisabled() {
        return disabled;
    }

    public void setDisabled(String disabled) {
        this.disabled = disabled == null ? null : disabled.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", studentNumber=").append(studentNumber);
        sb.append(", studentName=").append(studentName);
        sb.append(", gender=").append(gender);
        sb.append(", phone=").append(phone);
        sb.append(", email=").append(email);
        sb.append(", enrollmentDate=").append(enrollmentDate);
        sb.append(", passwd=").append(passwd);
        sb.append(", avatar=").append(avatar);
        sb.append(", createTime=").append(createTime);
        sb.append(", modifyTime=").append(modifyTime);
        sb.append(", admissionsId=").append(admissionsId);
        sb.append(", managerId=").append(managerId);
        sb.append(", createUid=").append(createUid);
        sb.append(", disabled=").append(disabled);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}